[Contents] [Prev] [Next] [Index] [Report an Error]

# Configuring the BFD Protocol for OSPF

The ip ospf bfd-liveness-detection and ipv6 ospf bfd-liveness-detection commands configure the Bidirectional Forwarding Detection (BFD) protocol for OSPFv2 and OSPFv3 (respectively). The BFD protocol uses control packets and shorter detection time limits to more rapidly detect failures in a network. Also, because they are adjustable, you can modify the BFD timers for more or less aggressive failure detection.

When you issue the ip ospf bfd-liveness-detection or ipv6 ospf bfd-liveness-detection command on an OSPF peer, the peer establishes BFD liveness detection with all BFD-enabled OSPF peers. When the local peer receives an update from a remote OSPF peer—if BFD is enabled and if the session is not already present—the local peer attempts to create a BFD session to the remote peer.

Each adjacent pair of peers negotiates an acceptable transmit interval for BFD packets. The negotiated value can be different on each peer. Each peer then calculates a BFD liveness detection interval. When a peer does not receive a BFD packet within the detection interval, it declares the BFD session to be down and purges all routes learned from the remote peer.

| Note: Before the router can use the ip ospf bfd-liveness-detection or ipv6 ospf bfd-liveness-detection command, you must specify a BFD license key. To view an already configured license, use the show license bfd command.

For general information about configuring and monitoring the BFD protocol, see JUNOSe IP Services Configuration Guide.

ip ospf bfd-liveness-detection

ipv6 ospf bfd-liveness-detection

- Use to enable BFD (bidirectional forwarding detection) and define BFD values to more quickly detect OSPFv2 or OSPFv3 data path failures.
- The peers in an OSPF adjacency use the configured values to negotiate the actual transmit intervals for BFD packets.
  - You can use the minimum-transmit-interval keyword to specify the interval at which the local peer proposes to transmit BFD control packets to the remote peer. The default value is 300 milliseconds.
  - You can use the minimum-receive-interval keyword to specify the minimum interval at which the local peer must receive BFD control packets from the remote peer. The default value is 300 milliseconds.
  - You can use the minimum-interval keyword to specify the same value for both of those intervals. Configuring a minimum interval has the same effect as configuring the minimum receive interval and the minimum transmit interval to the same value. The default value is 300 milliseconds.
- You can use the multiplier keyword to specify the detection multiplier value. The calculated BFD liveness detection interval can be different on each peer. The multiplier value is roughly equivalent to the number of packets that can be missed before the BFD session is declared to be down. The default value is 3.
- For details on liveness detection negotiation, see JUNOSe IP Services Configuration Guide .
- You can change the BFD liveness detection parameters at any time without stopping or restarting the existing session; BFD automatically adjusts to the new parameter value. However, no changes to BFD parameters take place until the values resynchronize with each peer.
- Example 1 (OSPFv2)
  `
  host1(config)#ip ospf bfd-liveness-detection minimum-interval 800
  `
- Example 2 (OSPFv3)
  `
  host1(config)#ipv6 ospf bfd-liveness-detection minimum-interval 800
  `
- Use the no version to disable BFD on the OSPF interface.
- See ip ospf bfd-liveness-detection
- See ipv6 ospf bfd-liveness-detection

[Contents] [Prev] [Next] [Index] [Report an Error]